NULL {base} | R Documentation

## The Null Object

### Description

`NULL` represents the null object in R: it is a reserved word. `NULL` is often returned by expressions and functions whose value is undefined.

### Usage

    NULL
    as.null(x, ...)
    is.null(x)

### Arguments

`x` | an object to be tested or coerced.
`...` | ignored.

### Details

`NULL` can be indexed (see Extract) in just about any syntactically legal way: whether it makes sense or not, the result is always `NULL`. Objects with value `NULL` can be changed by replacement operators and will be coerced to the type of the right-hand side.

`NULL` is also used as the empty pairlist: see the examples. Because pairlists are often promoted to lists, you may encounter `NULL` being promoted to an empty list.

Objects with value `NULL` cannot have attributes as there is only one null object: attempts to assign them are either an error (`attr`) or promote the object to an empty list with attribute(s) (`attributes` and `structure`).

### Value

`as.null` ignores its argument and returns `NULL`.

`is.null` returns `TRUE` if its argument's value is `NULL` and `FALSE` otherwise.

### Note

`is.null` is a primitive function.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### Examples

    is.null(list())     # FALSE (on purpose!)
    is.null(pairlist()) # TRUE
    is.null(integer(0)) # FALSE
    is.null(logical(0)) # FALSE
    as.null(list(a = 1, b = "c"))

[Package base version 3.4.2 Index]